<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2007 (http://www.altova.com) by Tomas Silar (LogicaCMG s.r.o.) -->
<xsd:schema xmlns:ote="http://www.ote-cr.cz/schema/globals" xmlns:ds="http://www.w3.org/2000/09/xmldsig#" xmlns="http://www.ote-cr.cz/schema/market/masterdata" xmlns:xsd="http://www.w3.org/2001/XMLSchema" targetNamespace="http://www.ote-cr.cz/schema/market/masterdata" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import namespace="http://www.ote-cr.cz/schema/globals" schemaLocation="./ote_globals.xsd"/>
	<xsd:import namespace="http://www.w3.org/2000/09/xmldsig#" schemaLocation="./xmldsig-core-schema.xsd"/>
	<xsd:element name="ISOTEMASTERDATA">
		<xsd:annotation>
			<xsd:documentation xml:lang="CS">Rootovský element obsahující základní údaje o zprávě</xsd:documentation>
			<xsd:documentation xml:lang="EN">Root element containing basic message data</xsd:documentation>
		</xsd:annotation>
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element name="SenderIdentification" type="ote:SenderIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace odesílatele zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message sender identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="ReceiverIdentification" type="ote:ReceiverIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace příjemce zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message receiver identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="Reference" type="ote:ReferenceType" minOccurs="0">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Reference na předešlou zprávu</xsd:documentation>
						<xsd:documentation xml:lang="EN">Reference to the previous message</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="Instance" maxOccurs="unbounded">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Instance objektu ISOTE</xsd:documentation>
						<xsd:documentation xml:lang="EN">Block Product Instance</xsd:documentation>
					</xsd:annotation>
					<xsd:complexType>
						<xsd:sequence>
							<xsd:element name="Characteristic" minOccurs="0" maxOccurs="unbounded">
								<xsd:annotation>
									<xsd:documentation xml:lang="CS">Charakteristika produktu</xsd:documentation>
									<xsd:documentation xml:lang="EN">Product characteristic</xsd:documentation>
								</xsd:annotation>
								<xsd:complexType>
									<xsd:attribute name="charact-role" use="required">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Role charakteristiky</xsd:documentation>
											<xsd:documentation xml:lang="EN">Characteristic role</xsd:documentation>
										</xsd:annotation>
										<xsd:simpleType>
											<xsd:restriction base="xsd:string">
												<xsd:enumeration value="D_BM001">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Blokový trh - počáteční den dodávky</xsd:documentation>
														<xsd:documentation xml:lang="EN">Block Market - First delivery date</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="D_BM002">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Blokový trh - Poslední den dodávky</xsd:documentation>
														<xsd:documentation xml:lang="EN">Block Market - Last delivery date</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="Q_BM001">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Blokový trh - Minimální obchodovatelné množství</xsd:documentation>
														<xsd:documentation xml:lang="EN">Block Market - Minimum traded quantity</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="Q_BM002">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Blokový trh -Velikost kontraktu</xsd:documentation>
														<xsd:documentation xml:lang="EN">Block Market - Contract size</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
											</xsd:restriction>
										</xsd:simpleType>
									</xsd:attribute>
									<xsd:attribute name="valid-from">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Platnost od</xsd:documentation>
											<xsd:documentation xml:lang="EN">Valid to</xsd:documentation>
										</xsd:annotation>
									</xsd:attribute>
									<xsd:attribute name="valid-to">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Platnost do</xsd:documentation>
											<xsd:documentation xml:lang="EN">Valid to</xsd:documentation>
										</xsd:annotation>
									</xsd:attribute>
									<xsd:attribute name="unit">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Měrná jednotka</xsd:documentation>
											<xsd:documentation xml:lang="EN">Mass unit</xsd:documentation>
										</xsd:annotation>
									</xsd:attribute>
									<xsd:attribute name="currency">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Měna pro cenové údaje</xsd:documentation>
											<xsd:documentation xml:lang="EN">Mass unit for price values</xsd:documentation>
										</xsd:annotation>
									</xsd:attribute>
									<xsd:attribute name="value-qty">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Hodnota typu množství</xsd:documentation>
											<xsd:documentation xml:lang="EN">Value of quantity type characteristic</xsd:documentation>
										</xsd:annotation>
									</xsd:attribute>
									<xsd:attribute name="value-string">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Hodnota typu řetězec</xsd:documentation>
											<xsd:documentation xml:lang="EN">Value of string type characteristic</xsd:documentation>
										</xsd:annotation>
									</xsd:attribute>
									<xsd:attribute name="value-date">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Hodnota typu datum</xsd:documentation>
											<xsd:documentation xml:lang="EN">Value of date type characteristic</xsd:documentation>
										</xsd:annotation>
									</xsd:attribute>
								</xsd:complexType>
							</xsd:element>
							<xsd:element name="Interval" minOccurs="0" maxOccurs="unbounded">
								<xsd:complexType>
									<xsd:attribute name="interval-role" use="required">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Role intervalu</xsd:documentation>
											<xsd:documentation xml:lang="EN">Interval role</xsd:documentation>
										</xsd:annotation>
										<xsd:simpleType>
											<xsd:restriction base="xsd:string">
												<xsd:enumeration value="CDI">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Interval dodávky</xsd:documentation>
														<xsd:documentation xml:lang="EN">Delivery interval</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="N_ISSUE">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Oznámení o nevypsání produktu</xsd:documentation>
														<xsd:documentation xml:lang="EN">Message on non-issuing of product</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="ISSUE">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Oznámení o vypsání produktu</xsd:documentation>
														<xsd:documentation xml:lang="EN">Message on issuing of the product</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="TRC_START_MM">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Začátek kontinuálního obchodování pro tvůrce trhu</xsd:documentation>
														<xsd:documentation xml:lang="EN">Begin of continuous trading for market maker</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="TRC_START_SS">
													<xsd:annotation>
														<xsd:documentation>Začátek kontinuálního obchodování pro subjekty zúčtování</xsd:documentation>
														<xsd:documentation>Begin of continuous trading for settlement subjects</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="TRC_CLOSE">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Ukončení kontinuálního obchodování</xsd:documentation>
														<xsd:documentation xml:lang="EN">Closing of the continuous trading</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="AGGREG">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Aggregace dat</xsd:documentation>
														<xsd:documentation xml:lang="EN">Data aggregation</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="PUBLICATION">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Publikace dat</xsd:documentation>
														<xsd:documentation xml:lang="EN">Data publication</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
											</xsd:restriction>
										</xsd:simpleType>
									</xsd:attribute>
									<xsd:attribute name="order-index">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Index pořadí - intervalu v rámci dne</xsd:documentation>
											<xsd:documentation xml:lang="EN">Order index </xsd:documentation>
										</xsd:annotation>
									</xsd:attribute>
									<xsd:attribute name="date-time-from" type="xsd:dateTime" use="optional">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Začátek časového intervalu</xsd:documentation>
											<xsd:documentation xml:lang="EN">Start of time interval</xsd:documentation>
										</xsd:annotation>
									</xsd:attribute>
									<xsd:attribute name="date-time-to" type="xsd:dateTime" use="optional">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Konec časového intervalu</xsd:documentation>
											<xsd:documentation xml:lang="EN">Konec časového intervalu</xsd:documentation>
										</xsd:annotation>
									</xsd:attribute>
									<xsd:attribute name="interval-date" type="xsd:date">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Datum intervalu</xsd:documentation>
											<xsd:documentation xml:lang="EN">Interval date</xsd:documentation>
										</xsd:annotation>
									</xsd:attribute>
									<xsd:attribute name="period-from">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Obchodní hodina - od</xsd:documentation>
											<xsd:documentation xml:lang="EN">Trading period - from</xsd:documentation>
										</xsd:annotation>
									</xsd:attribute>
									<xsd:attribute name="period-to">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Obchodní perioda - do</xsd:documentation>
											<xsd:documentation xml:lang="EN">Trading period - from</xsd:documentation>
										</xsd:annotation>
									</xsd:attribute>
								</xsd:complexType>
							</xsd:element>
							<xsd:element name="Ref-Instance" minOccurs="0" maxOccurs="unbounded">
								<xsd:annotation>
									<xsd:documentation xml:lang="CS">Reference na jiný objekt</xsd:documentation>
								</xsd:annotation>
								<xsd:complexType>
									<xsd:attribute name="instance-category" use="required">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Kategorie odkazovaného objektu</xsd:documentation>
											<xsd:documentation xml:lang="EN">Category of referenced instance</xsd:documentation>
										</xsd:annotation>
									</xsd:attribute>
									<xsd:attribute name="instance-id" use="required">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Identifikátor odkazovaného objektu</xsd:documentation>
											<xsd:documentation xml:lang="EN">Referenced instance identifier</xsd:documentation>
										</xsd:annotation>
									</xsd:attribute>
								</xsd:complexType>
							</xsd:element>
						</xsd:sequence>
						<xsd:attribute name="instance-category" use="required">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Kategorie objektu</xsd:documentation>
								<xsd:documentation xml:lang="EN">Object instance category</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:enumeration value="CBM">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Blokový trh - produkt</xsd:documentation>
											<xsd:documentation xml:lang="EN">Block Market - Product</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="instance-id" use="required">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Idenfikátor objektu</xsd:documentation>
								<xsd:documentation xml:lang="EN">Instance identifier</xsd:documentation>
							</xsd:annotation>
						</xsd:attribute>
						<xsd:attribute name="instance-description">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Popis objektu</xsd:documentation>
								<xsd:documentation xml:lang="EN">Instance description</xsd:documentation>
							</xsd:annotation>
						</xsd:attribute>
						<xsd:attribute name="instance-type" use="required">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Typ instance objektu</xsd:documentation>
								<xsd:documentation xml:lang="EN">Instance type</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:enumeration value="PDB">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Denní baseload (základní pásmo)</xsd:documentation>
											<xsd:documentation xml:lang="EN">Daily baseload</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="PDP">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Denní peak (špička)</xsd:documentation>
											<xsd:documentation xml:lang="EN">Daily peak</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="PDO">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Denní - offpeak</xsd:documentation>
											<xsd:documentation xml:lang="EN">Daily Offpeak</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
                                    <xsd:enumeration value="PDD">
                                      <xsd:annotation>
                                        <xsd:documentation xml:lang="CS">Denní - den</xsd:documentation>
                                        <xsd:documentation xml:lang="EN">Day block</xsd:documentation>
                                      </xsd:annotation>
                                    </xsd:enumeration>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="instance-class">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Třída instance (například třída produktu)</xsd:documentation>
								<xsd:documentation xml:lang="EN">Instance class (e.g. product class - daily)</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:enumeration value="BMD">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Denní </xsd:documentation>
											<xsd:documentation xml:lang="EN">Daily</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="BMW">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Týdenní</xsd:documentation>
											<xsd:documentation xml:lang="EN">Weekly</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="location" use="optional">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Místo dodávky</xsd:documentation>
								<xsd:documentation xml:lang="EN">Delivery point</xsd:documentation>
							</xsd:annotation>
						</xsd:attribute>
						<xsd:attribute name="processing-type" use="optional">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Způsob vypořádání uzavřeného kontraktu</xsd:documentation>
								<xsd:documentation xml:lang="EN">Contract settlement method</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:enumeration value="SMP">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Fyzická dodávka</xsd:documentation>
											<xsd:documentation xml:lang="EN">Physical delivery</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="valid-from">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Platnost od</xsd:documentation>
								<xsd:documentation xml:lang="EN">Valid from</xsd:documentation>
							</xsd:annotation>
						</xsd:attribute>
						<xsd:attribute name="valid-to">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Platnost do</xsd:documentation>
								<xsd:documentation xml:lang="EN">Valid to</xsd:documentation>
							</xsd:annotation>
						</xsd:attribute>
						<xsd:attribute name="time-offset">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Časový posun časů a datumů</xsd:documentation>
								<xsd:documentation xml:lang="EN">Time offset of date/time data</xsd:documentation>
							</xsd:annotation>
						</xsd:attribute>
						<xsd:attribute name="currency">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Měna</xsd:documentation>
								<xsd:documentation xml:lang="EN">Currency</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:enumeration value="CZK"/>
									<xsd:enumeration value="EUR"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="unit">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Měrná jednotka</xsd:documentation>
								<xsd:documentation xml:lang="EN">Mass unit</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:enumeration value="MWH"/>
									<xsd:enumeration value="KWH"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
					</xsd:complexType>
				</xsd:element>
				<xsd:element ref="ds:Signature" minOccurs="0"/>
			</xsd:sequence>
			<xsd:attribute name="id" type="ote:msg-id" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Jednoznačný identifikátor zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Unique message identification</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="message-code" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Upřesnění obsahu zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message content specification</xsd:documentation>
				</xsd:annotation>
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:enumeration value="879">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Popis - kmenová data produktu (BT)</xsd:documentation>
								<xsd:documentation xml:lang="EN">Product master data (BM)</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GVH">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Popis - kmenová data produktu (VDP)</xsd:documentation>
								<xsd:documentation xml:lang="EN">Product master data (IDMG)</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name="date-time" type="xsd:dateTime" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Datum a čas zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Date and time of message</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="dtd-version" type="xsd:string" use="required" fixed="1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Rezervováno pro pozdější verze. Nyní konstanta '1'</xsd:documentation>
					<xsd:documentation xml:lang="EN">Reserved for incoming versions. So far a constant '1'</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="dtd-release" type="xsd:string" use="required" fixed="1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Rezervováno pro pozdější verze. Nyní konstanta '1'</xsd:documentation>
					<xsd:documentation xml:lang="EN">Reserved for incoming versions. So far a constant '1'</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="language" use="optional">
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:length value="2"/>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name="answer-required" type="xsd:boolean" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Indikace požadavku na odpověď</xsd:documentation>
					<xsd:documentation xml:lang="EN">Indication of request for response</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="time-offset" default="+1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Časový posun</xsd:documentation>
					<xsd:documentation xml:lang="EN">Time offset</xsd:documentation>
				</xsd:annotation>
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:pattern value="[-+]?\d"/>
						<xsd:pattern value="[-+]?1\d"/>
						<xsd:pattern value="[-+]?2[01234]"/>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name="commodity-code">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Komodita</xsd:documentation>
					<xsd:documentation xml:lang="EN">Comodity</xsd:documentation>
				</xsd:annotation>
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:enumeration value="E">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Elektřina</xsd:documentation>
								<xsd:documentation xml:lang="EN">Electricity</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="P">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Plyn</xsd:documentation>
								<xsd:documentation xml:lang="EN">Gas</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
		</xsd:complexType>
	</xsd:element>
</xsd:schema>
